templates:
- github
- common-lisp-source
- base

catalog:
  title: Common Lisp architecture.builder-protocol System

variables:
  recipe.maintainer:
  - Jan Moringen <jmoringe@techfak.uni-bielefeld.de>

  github.user: scymtym
  github.project: architecture.builder-protocol

  releases:
  - '0.10'
  - '0.9'
  - '0.8'
  - '0.7'
  - '0.6'
  - '0.5'
  - '0.4'
  - '0.3'
  - '0.2'
  branches:
  - master
  - '@{releases}'
  tags: release-${releases}

  systems:0.5:
  - '@{systems:0.4}'
  - architecture.builder-protocol.universal-builder

  systems:0.4:
  - '@{systems:0.2}'
  - architecture.builder-protocol.json

  systems:0.2:
  - architecture.builder-protocol

versions:
- name: hash-06785b0
  variables:
    commit: 06785b032ded20011b09bca639cd96b5b8be8b00

- pattern: '^0\.[2-5]$'
  variables:
    branch: ${match:0}
    systems: ${systems:${match:0}}
    load-options.pre: '-s ${systems} '
    load-options.test: '-s ${systems}-test '
    lisp.load-systems.options:ci:
    - '@{load-options.pre}'
    - '@{load-options.test}'
    lisp.test.systems: ${systems}-test

- pattern: '^release-(0.[2-5])$'
  variables:
    tag: ${match:0}
    systems: ${systems:${match:1}}
    load-options.pre: '-s ${systems} '
    load-options.test: '-s ${systems}-test '
    lisp.load-systems.options:ci:
    - '@{load-options.pre}'
    - '@{load-options.test}'
    lisp.test.systems: ${systems}-test
